using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace VEtterem.Kosar
{
    public class KosarTetel
    {
        private int eID;
        private string nev;
        private int ar;
        private int mennyiseg;

        public KosarTetel()
        {
        }

        public KosarTetel(int eID, string nev, int ar, int mennyiseg)
        {
            this.eID = eID;
            this.nev = nev;
            this.ar = ar;
            this.mennyiseg = mennyiseg;            
        }

        public int EID
        {
            get { return eID; }
            set { eID = value; }
        }
        public string Nev
        {
            get { return nev; }
        }
        public int Mennyiseg
        {
            get { return mennyiseg; }
            set { mennyiseg = value; }
        }
        public int Ar
        {
            get { return ar; }
        }
        public int ReszOsszeg
        {
            get { return Ar * Mennyiseg; }
        }
        public bool Equals(KosarTetel kt)
        {
            return kt.EID == this.eID;
        }
    }
}
